﻿
$ErrorActionPreference = 'Stop';

$fopVersion = '2.4'
$packageName= 'apache-fop'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "http://mirrors.ibiblio.org/apache/xmlgraphics/fop/binaries/fop-$($fopVersion)-bin.zip"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = 'cd72e0145c3a1f1043df2b387b6a5bfefc7f083df25ebbccb8df04d17f16c7512543553d89678bfe0c425b511e23a772ee1408ac97f738ebaebe8f9ad3bbabd3'
  checksumType  = 'sha512'
}


Install-ChocolateyZipPackage @packageArgs

Install-BinFile -name 'fop' -path "$toolsDir\fop-$($fopVersion)\fop\fop.bat"
